% This script builds the mex routines for running the synthetic lower
% linear enevelope inference and learning experiments described in
%
%    "Max-margin Learning for Lower Linear Envelope Potentials in Binary
%    Markov Random Fields", Stephen Gould, ICML 2011.
%
% Copyright (c) 2011, Stephen Gould <stephen.gould@anu.edu.au>
% All rights reserved.
%

% download Vladimir Kolmogorov's maxflow library
URL = 'http://www.cs.ucl.ac.uk/staff/V.Kolmogorov/software/';
SRC = 'maxflow-v3.01.src';
if (~exist(SRC, 'file')),
    disp('installing maxflow library...');
    system(['wget ', URL, SRC, '.tar.gz']);
    system(['tar zxvf ', SRC, '.tar.gz']);
end;

disp('building mex files...');
mex -g -output linEnvInf linEnvInf.cpp ...
    maxflow-v3.01.src/graph.cpp maxflow-v3.01.src/maxflow.cpp
